Sign in to follow this  
Rick Brewster

Paint.NET v3.30 BETA 1 is now available

Recommended Posts

It is snippets of code that allows you to add advanced functionality to your plugin. It will be much easier to understand once CodeLab is updated for it.

Share this post


Link to post
Share on other sites
Can I just ask one question: What is IndirectUI?
Assuming I have the correct blog posts, read here:

http://blog.getpaint.net/2007/10/07/wha ... elopment/; and

http://blog.getpaint.net/2007/10/19/pla ... ty-system/

I'm sure that could all be summed up into one or two lines, but in the meantime of someone to do so, that will detail Rick's explanation of it from the time.

EDIT: okay, is it me, or when you come to post, has the 'warning' that someone has posted since, giving you chance to amend if necessary, gone? I did not know Mike had posted until I did.

Share this post


Link to post
Share on other sites
Can I just ask one question: What is IndirectUI?

It's what lets you avoid writing complicated WinForms code in order to write certain types of effect config UI. It's a replacement for the very inflexible "1, 2, or 3 Sliders" configuration dialogs.

Share this post


Link to post
Share on other sites

Just out of curiousity: could a v3.3 (beta and/or final) be installed concurrently with v3.22? If not the same drive, a different drive?

I know it would violate the "update to new version rule" (at least for v3.30final), but as someone still going through many of the tutorials (including those in the plugins forum illustrating the use of the particular plugin), I would be at least somewhat reluctant to upgrade until I finish those. And at the rate I'm going (including getting lost in the forums, playing with PDN, and -- oh yeah, real life!), it might be quite a while.

I did attempt a search, but found nothing one way or the other.

If it is possible, any warnings?

"Curious" GeorgeB

Share this post


Link to post
Share on other sites
I've never said anything to that effect.

I was not claiming you did. When I said "I heard somewhere that scriptlab-style functionality will eventually be built in", I was referring to:

No. Keep in mind, though, that "Scripting and recorded actions" is on the roadmap for Paint.NET. When that's implemented, this plugin will be obsolete and your request may be possible. That's up to Rick, though.

which came from here.

If it is not true that "scripting and recorded actions" is on the roadmap (I have no idea one way or another) then that is too bad, because I think it is a fantastic idea, but anyway, that is where I heard it.

Share this post


Link to post
Share on other sites
Just out of curiousity: could a v3.3 (beta and/or final) be installed concurrently with v3.22? If not the same drive, a different drive?

I know it would violate the "update to new version rule" (at least for v3.30final), but as someone still going through many of the tutorials (including those in the plugins forum illustrating the use of the particular plugin), I would be at least somewhat reluctant to upgrade until I finish those. And at the rate I'm going (including getting lost in the forums, playing with PDN, and -- oh yeah, real life!), it might be quite a while.

I did attempt a search, but found nothing one way or the other.

If it is possible, any warnings?

"Curious" GeorgeB

It is possible. Paint.NET is not advertised and supported as a portable application. But it is, with a few minor exceptions.

Before you upgrade; copy the “C:\Program Files\Paint.NET” folder to somewhere else. Now, if you run the PaintDotNet.exe file in that folder, you have a working “old” installation.

And now you can upgrade your normal installation.

Look here for more information: viewtopic.php?f=12&t=22174&st=0&sk=t&sd=a&hilit=portable&start=0

And try searching for ”portable”

Someone once made a paint.NET version that was run from a cd.

BTW, I don’t think the, “must have newest version” rule is applied for beta versions.

Share this post


Link to post
Share on other sites
I've never said anything to that effect.

I was not claiming you did. When I said "I heard somewhere that scriptlab-style functionality will eventually be built in", I was referring to:

No. Keep in mind, though, that "Scripting and recorded actions" is on the roadmap for Paint.NET. When that's implemented, this plugin will be obsolete and your request may be possible. That's up to Rick, though.

which came from here.

If it is not true that "scripting and recorded actions" is on the roadmap (I have no idea one way or another) then that is too bad, because I think it is a fantastic idea, but anyway, that is where I heard it.

I think the confusion lies in the way I've worded 4.0 on the roadmap. I used the phrase, "Over the lifetime of the 4.xx releases, these core design and architecture changes should enable such features as...". The work that goes into supporting infrastructure and framework type stuff is different than the work that goes into actual features. In my roadmap I am specifically trying to refer to the supporting infrastructure and framework type changes that will allow me to do such features. It's like saying I'm adding plumbing to a house ... that doesn't mean I'll have a toilet. (ok slightly bad analogy seeing as how you'd better not build a house w/o a toilet, of course) Maybe a better analogy is taking an old (very old) house and wiring it for electricity. That doesn't mean you'll have lighting ... that has to be added using the new infrastructure as a separate work item.

The other key thing here is the "over the lifetime of the 4.xx releases" ... 4.0 is not a magic bullet release. Features will be trickled out over 4.xx releases just like they have been with 3.xx and even 2.xx before it. Anyway, I need to work on the way I word things ...

Share this post


Link to post
Share on other sites
On a sad note ScriptLab is having trouble. (Posted in the tread.)

That's to be expected. ScriptLab does some rather ... unsupported ... things. Pyrochild himself states that compatibility between versions of Paint.NET is neither promised nor even expected.

Nope! I'll consider myself extremely luck if ScriptLab ever works between 2 versions of Paint.NET. EvEr!

Share this post


Link to post
Share on other sites

* New: Italian translation.

Hi

For the Italian translation, "Layer" is translated to "Strato" but I believe that a better translation should be "Livello" .

"Adjustments" is translated to "Aggiustamenti". I propose "Regolazioni".

Thank you

Best Regards

Renzo (VITRIOL)

Share this post


Link to post
Share on other sites
Ooh so il take 3.22 again because i need drop shadow :)

Drop Shadow will never be repaired as the large majority of us are using the old version due to its more drop shadow like effect and color wheel. Your only way of fixing it is to decompile the plugin and add and remove some lines of code.

Share this post


Link to post
Share on other sites
Ooh so il take 3.22 again because i need drop shadow :)

Drop Shadow will never be repaired as the large majority of us are using the old version due to its more drop shadow like effect and color wheel. Your only way of fixing it is to decompile the plugin and add and remove some lines of code.

After getting permission from the author.

Share this post


Link to post
Share on other sites
Ooh so il take 3.22 again because i need drop shadow :)

Drop Shadow will never be repaired as the large majority of us are using the old version due to its more drop shadow like effect and color wheel. Your only way of fixing it is to decompile the plugin and add and remove some lines of code.

After getting permission from the author.

Of course I would never do that :roll: :twisted:

Share this post


Link to post
Share on other sites
For the Italian translation, ...

I'm working with Aldo.NET (who take care if this translation from Microsoft Developer Division) to improve it. For 3.30 final it'll be fine.

Share this post


Link to post
Share on other sites
I have a small request: Can you please move fragment blur down from the top. I have got used to GB at the top and IMHO GB is much more important.

That will be a lot of work on Rick's part as he has strict rules in keeping all plugins in alphabetical order.

Share this post


Link to post
Share on other sites
Drop Shadows

Curves+

These are plugins, who won't work on beta-version of V3.30, I think...

Try posting that in the plugin threads.

I'll try that :)

Share this post


Link to post
Share on other sites

re: running multiple versions of PDN.

Big thank you to both Leif and sabrown. Never thought about "portable", but that was exactly the answer I was looking for. I need to start thinking outside the box!

GeorgeB

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this